gtksourceviewmm: Gsv::StyleSchemeManager Class Reference

gtksourceviewmm 3.18.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gsv::StyleSchemeManager Class Reference

Class providing access to SourceStyleSchemes. More...

`#include <gtksourceviewmm/styleschememanager.h>`

Inheritance diagram for Gsv::StyleSchemeManager:
[legend]

## Public Member Functions
| StyleSchemeManager (StyleSchemeManager&& src) noexcept
StyleSchemeManager& | operator= (StyleSchemeManager&& src) noexcept
virtual | ~StyleSchemeManager () noexcept
GtkSourceStyleSchemeManager* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceStyleSchemeManager* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSourceStyleSchemeManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
std::vector< std::string > | get_search_path () const
| Returns the current search path for the manager. More...
void | set_search_path (const std::vector< std::string >& path)
| Sets the list of directories where the manager looks for style scheme files. More...
void | reset_search_path ()
| Resets the list of directories where the manager looks for style scheme files to default. More...
void | append_search_path (const std::string& path)
| Appends path to the list of directories where the manager looks for style scheme files. More...
void | prepend_search_path (const std::string& path)
| Prepends path to the list of directories where the manager looks for style scheme files. More...
Glib::RefPtr< StyleScheme > | get_scheme (const std::string& scheme_id)
| Looks up style scheme by id. More...
Glib::RefPtr< const StyleScheme > | get_scheme (const std::string& scheme_id) const
| Looks up style scheme by id. More...
void | force_rescan ()
| Mark any currently cached information about the available style schemes as invalid. More...
std::vector< std::string > | get_scheme_ids () const
| Returns the ids of the available style schemes. More...
Glib::PropertyProxy< std::vector< std::string > > | property_search_path ()
| List of directories and files where the style schemes are located. More...
Glib::PropertyProxy_ReadOnly< std::vector< std::string > > | property_search_path () const
| List of directories and files where the style schemes are located. More...
Glib::PropertyProxy_ReadOnly< std::vector< std::string > > | property_scheme_ids () const
| List of the ids of the available style schemes. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< StyleSchemeManager > | create ()
| Creates a new style manager. More...
static Glib::RefPtr< StyleSchemeManager > | get_default ()
| Returns the default StyleSchemeManager instance. More...

## Protected Member Functions
| StyleSchemeManager ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::StyleSchemeManager > | wrap (GtkSourceStyleSchemeManager* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Class providing access to SourceStyleSchemes.

## Constructor & Destructor Documentation

Gsv::StyleSchemeManager::StyleSchemeManager | ( | StyleSchemeManager&& | src | ) |
| noexcept

virtual Gsv::StyleSchemeManager::~StyleSchemeManager | ( |  | ) |
| virtualnoexcept

Gsv::StyleSchemeManager::StyleSchemeManager | ( |  | ) |
| protected

## Member Function Documentation

void Gsv::StyleSchemeManager::append_search_path | ( | const std::string & | path | ) |

Appends path to the list of directories where the manager looks for style scheme files.

See set_search_path() for details.

Parameters

  path | A directory or a filename.

static Glib::RefPtr<StyleSchemeManager> Gsv::StyleSchemeManager::create | ( |  | ) |
| static

Creates a new style manager.

If you do not need more than one style manager then use get_default() instead.

Returns
  A StyleSchemeManager.

void Gsv::StyleSchemeManager::force_rescan | ( |  | ) |

Mark any currently cached information about the available style schemes as invalid.

All the available style schemes will be reloaded next time the manager is accessed.

static Glib::RefPtr<StyleSchemeManager> Gsv::StyleSchemeManager::get_default | ( |  | ) |
| static

Returns the default StyleSchemeManager instance.

Returns
  A StyleSchemeManager.

Glib::RefPtr<StyleScheme> Gsv::StyleSchemeManager::get_scheme | ( | const std::string & | scheme_id | ) |

Looks up style scheme by id.

Parameters

  scheme_id | Style scheme id to find.

Returns
  A StyleScheme object.

Glib::RefPtr<const StyleScheme> Gsv::StyleSchemeManager::get_scheme | ( | const std::string & | scheme_id | ) | const

Looks up style scheme by id.

Parameters

  scheme_id | Style scheme id to find.

Returns
  A StyleScheme object.

std::vector<std::string> Gsv::StyleSchemeManager::get_scheme_ids | ( |  | ) | const

Returns the ids of the available style schemes.

Returns
  An array of string containing the ids of the available style schemes.

std::vector<std::string> Gsv::StyleSchemeManager::get_search_path | ( |  | ) | const

Returns the current search path for the manager.

See set_search_path() for details.

Returns
  An array of string containing the search path.

static GType Gsv::StyleSchemeManager::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSourceStyleSchemeManager* Gsv::StyleSchemeManager::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSourceStyleSchemeManager* Gsv::StyleSchemeManager::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSourceStyleSchemeManager* Gsv::StyleSchemeManager::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

StyleSchemeManager& Gsv::StyleSchemeManager::operator= | ( | StyleSchemeManager&& | src | ) |
| noexcept

void Gsv::StyleSchemeManager::prepend_search_path | ( | const std::string & | path | ) |

Prepends path to the list of directories where the manager looks for style scheme files.

See set_search_path() for details.

Parameters

  path | A directory or a filename.

Glib::PropertyProxy_ReadOnly< std::vector<std::string> > Gsv::StyleSchemeManager::property_scheme_ids | ( |  | ) | const

List of the ids of the available style schemes.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< std::vector<std::string> > Gsv::StyleSchemeManager::property_search_path | ( |  | ) |

List of directories and files where the style schemes are located.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< std::vector<std::string> > Gsv::StyleSchemeManager::property_search_path | ( |  | ) | const

List of directories and files where the style schemes are located.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gsv::StyleSchemeManager::reset_search_path | ( |  | ) |

Resets the list of directories where the manager looks for style scheme files to default.

void Gsv::StyleSchemeManager::set_search_path | ( | const std::vector< std::string > & | path | ) |

Sets the list of directories where the manager looks for style scheme files.

Parameters

  path | An empty string terminated array of strings.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::StyleSchemeManager > wrap | ( | GtkSourceStyleSchemeManager * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.